summaryrefslogtreecommitdiffstats
path: root/testing/pptpd/rcpptpd
diff options
context:
space:
mode:
authorDanilo Godec <danilo.godec@agenda.si>2011-08-10 14:30:14 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-10 12:46:50 +0000
commitff73676914146bced1e9c9468d8ad91255125016 (patch)
tree20cf7475be3f2ae1b00f78c017f6549f60559330 /testing/pptpd/rcpptpd
parentd5cc91e23d61e81e56b2e3c91c89551d02260dd7 (diff)
downloadaports-ff73676914146bced1e9c9468d8ad91255125016.tar.bz2
aports-ff73676914146bced1e9c9468d8ad91255125016.tar.xz
testing/pptpd: new aport
pptpd is a linux PPTP server
Diffstat (limited to 'testing/pptpd/rcpptpd')
-rw-r--r--testing/pptpd/rcpptpd67
1 files changed, 67 insertions, 0 deletions
diff --git a/testing/pptpd/rcpptpd b/testing/pptpd/rcpptpd
new file mode 100644
index 000000000..83afd0ce7
--- /dev/null
+++ b/testing/pptpd/rcpptpd
@@ -0,0 +1,67 @@
+#!/bin/sh
+# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany. All rights reserved.
+#
+# Author: Bernd Kaindl
+#
+# /etc/init.d/pptpd
+#
+
+### BEGIN INIT INFO
+# Provides: pptpd
+# Required-Start: $remote_fs $network
+# Required-Stop: $remote_fs $network
+# Default-Start: 3 5
+# Default-Stop:
+# Description: start pptp daemon
+# Short-Description: pptp daemon
+### END INIT INFO
+
+PPTPD_BIN=/usr/sbin/pptpd
+test -x $PPTPD_BIN || exit 5
+
+# Shell functions sourced from /etc/rc.status:
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting MS VPN server pptpd"
+ if modprobe ppp_mppe ; then
+ startproc -sq $PPTPD_BIN
+ rc_status -v
+ else
+ rc_failed 3
+ fi
+ ;;
+ stop)
+ echo -n "Shutting down MS VPN server pptpd"
+ killproc -TERM $PPTPD_BIN
+ rc_status -v
+ rmmod ppp_mppe > /dev/null 2>&1
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload)
+ $0 stop && $0 start
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for MS VPN server pptpd: "
+ checkproc $PPTPD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit